
Ruby - Bug #5345

error running make for 1.9.2-p290: Generating RI => 'marshal data too short'

09/21/2011 11:40 AM - stepheneb (Stephen Bannasch)

Status: Closed   

Priority: Normal   

Assignee:    

Target version: 1.9.2   

ruby -v: ruby 1.9.2-p290 Backport:  

Description

Can't successfully build ruby 1.9.2-p290 from a git clone on RedHat Enterprise 5.5, make fails while generating RI with the error

'marshal data too short'

Can successfully build 1.9.2-p302 and ruby_1_9_3 on the same system.

I don't think this should matter but I tried running make with both 1.8.7 and ruby_1_9_3

ruby 1.8.7 (2010-08-16 patchlevel 302) [i686-linux]

ruby 1.9.3dev (2011-09-21 revision 33304) [i686-linux]

$ cat /etc/redhat-release

Red Hat Enterprise Linux Server release 5.5 (Tikanga)

git fetch

git co v1_9_2_290

~/bin/autoconf

./configure --prefix=/home/sbannasch/ruby/builds/ruby_1_9_2p290

make --debug

...

Successfully remade target file ruby'. make[1]: Leaving directory /home/sbannasch/src/ruby-git'

Successfully remade target file main'. File docs' does not exist.

File rdoc' does not exist. File PHONY' does not exist.

Must remake target PHONY'. Successfully remade target file PHONY'.

Must remake target `rdoc'.

Generating RDoc documentation

./miniruby -I./lib -I.ext/common -I./- -r./ext/purelib.rb  ./tool/runruby.rb --extout=.ext  -- "./bin/rdoc" --no-force-update --all --ri --op

".ext/rdoc"  "."

Parsing sources...

No definition for rb_struct_init_copy

No definition for range_initialize_copy

No definition for iseq_inspect

No definition for rb_iseq_disasm

No definition for rb_iseq_disasm

No definition for iseq_to_a

No definition for iseq_eval

No definition for iseq_s_load

No definition for iseq_s_compile

No definition for iseq_s_compile

No definition for iseq_s_compile_file

No definition for iseq_s_compile_option_get

No definition for iseq_s_compile_option_set

No definition for iseq_s_disasm

No definition for iseq_s_disasm

No definition for rb_f_require_relative

No definition for rb_obj_hash

No definition for rb_obj_methods

No definition for rb_obj_protected_methods

No definition for rb_obj_private_methods

No definition for rb_obj_public_methods

No definition for rb_mod_attr
lib/irb/inspector.rb:36:36: Couldn't find INSPECTORS. Assuming it's a module

No definition for BigDecimal_add2gdecimal.c

No definition for BigDecimal_sub2

No definition for BigDecimal_mult2

No definition for BigDecimal_div2

No definition for BigDecimal_hash

No definition for BigDecimal_uplus

No definition for BigDecimal_neg

No definition for BigDecimal_dup

No definition for BigDecimal_dump

No definition for BigDecimal_global_new

No definition for fgdbm_setoptc

No definition for ossl_asn1_traverse1.c

No definition for ossl_asn1_decode

No definition for ossl_asn1_decode_all

No definition for ossl_asn1data_initialize

No definition for ossl_asn1data_to_der

No definition for ossl_asn1_initialize

No definition for ossl_asn1prim_to_der

No definition for ossl_asn1_initialize

No definition for ossl_asn1cons_to_der

No definition for ossl_asn1cons_each

No definition for ossl_bn_copysl_bn.c

No definition for ossl_bn_num_bytes

No definition for ossl_bn_num_bits

No definition for ossl_bn_add

No definition for ossl_bn_sub

No definition for ossl_bn_mul

No definition for ossl_bn_sqr

No definition for ossl_bn_mod

No definition for ossl_bn_mod_add

No definition for ossl_bn_mod_sub

No definition for ossl_bn_mod_mul

No definition for ossl_bn_mod_sqr

No definition for ossl_bn_exp

No definition for ossl_bn_mod_exp

No definition for ossl_bn_gcd

No definition for ossl_bn_cmp

No definition for ossl_bn_ucmp

No definition for ossl_bn_eql

No definition for ossl_bn_is_zero

No definition for ossl_bn_is_one

No definition for ossl_bn_is_odd

No definition for ossl_bn_s_rand

No definition for ossl_bn_s_pseudo_rand

No definition for ossl_bn_s_rand_range

No definition for ossl_bn_s_pseudo_rand_range

No definition for ossl_bn_set_bit

No definition for ossl_bn_clear_bit

No definition for ossl_bn_mask_bits

No definition for ossl_bn_lshift

No definition for ossl_bn_rshift

No definition for ossl_bn_self_lshift

No definition for ossl_bn_self_rshift

No definition for ossl_bn_to_bn

No definition for ossl_bn_coerce

No definition for ossl_bn_mod_inverse

No definition for ossl_config_s_parseig.c

No definition for ossl_config_initialize

No definition for ossl_config_get_value

No definition for ossl_config_get_value_old

No definition for rb_f_notimplement

No definition for ossl_config_add_value_m

No definition for ossl_config_get_section_old

No definition for ossl_config_set_section

No definition for ossl_config_get_sections

No definition for ossl_config_to_s
No definition for ossl_config_each

No definition for ossl_config_inspect

Enclosing class/module 'cDigest' for class DigestError not known

No definition for ossl_engine_s_loadine.c

No definition for ossl_engine_s_cleanup

No definition for ossl_engine_s_engines

No definition for ossl_engine_s_by_id

No definition for ossl_engine_get_id

No definition for ossl_engine_get_name

No definition for ossl_engine_finish

No definition for rb_f_notimplement

No definition for ossl_engine_get_cipher

No definition for rb_f_notimplement

No definition for ossl_engine_get_digest

No definition for ossl_engine_load_privkey

No definition for ossl_engine_load_pubkey

No definition for ossl_engine_set_default

No definition for ossl_engine_ctrl_cmd

No definition for ossl_engine_get_cmds

No definition for ossl_engine_inspect

No definition for ossl_spki_initializeki.c

No definition for ossl_spki_to_der

No definition for ossl_spki_to_pem

No definition for ossl_spki_print

No definition for ossl_spki_get_public_key

No definition for ossl_spki_set_public_key

No definition for ossl_spki_sign

No definition for ossl_spki_get_challenge

No definition for ossl_spki_set_challenge

No definition for ossl_ocspreq_initialize

No definition for ossl_ocspreq_add_nonce

No definition for ossl_ocspreq_add_certid

No definition for ossl_ocspreq_get_certid

No definition for ossl_ocspreq_sign

No definition for ossl_ocspreq_verify

No definition for ossl_ocspreq_to_der

No definition for ossl_ocspres_initialize

No definition for ossl_ocspres_status

No definition for ossl_ocspres_status_string

No definition for ossl_ocspres_get_basic

No definition for ossl_ocspres_to_der

No definition for ossl_ocspbres_initialize

No definition for ossl_ocspbres_copy_nonce

No definition for ossl_ocspbres_add_nonce

No definition for ossl_ocspbres_add_status

No definition for ossl_ocspbres_get_status

No definition for ossl_ocspbres_sign

No definition for ossl_ocspbres_verify

No definition for ossl_ocspcid_initialize

No definition for ossl_ocspcid_cmp

No definition for ossl_ocspcid_cmp_issuer

No definition for ossl_ocspcid_get_serial

No definition for ossl_pkcs7_set_detached

No definition for ossl_pkcs7_get_detached

No definition for ossl_pkcs7_detached_p

No definition for ossl_pkcs7_set_cipher

No definition for ossl_pkcs7_add_signer

No definition for ossl_pkcs7_get_signer

No definition for ossl_pkcs7_add_recipient

No definition for ossl_pkcs7_get_recipient

No definition for ossl_pkcs7_add_certificate

No definition for ossl_pkcs7_set_certificates

No definition for ossl_pkcs7_get_certificates

No definition for ossl_pkcs7_add_crl

No definition for ossl_pkcs7_set_crls

No definition for ossl_pkcs7_get_crls

No definition for ossl_pkcs7_add_data
No definition for ossl_pkcs7_verify

No definition for ossl_pkcs7_decrypt

No definition for ossl_pkcs7_to_pem

No definition for ossl_pkcs7_to_der

No definition for ossl_pkcs7si_initialize

No definition for ossl_pkcs7si_get_issuer

No definition for ossl_pkcs7si_get_serial

No definition for ossl_pkcs7si_get_signed_time

No definition for ossl_pkcs7ri_initialize

No definition for ossl_pkcs7ri_get_issuer

No definition for ossl_pkcs7ri_get_serial

No definition for ossl_pkcs7ri_get_enc_key

No definition for ossl_pkcs12_to_ders12.c

No definition for ossl_pkey_initializec

No definition for ossl_pkey_sign

No definition for ossl_pkey_verify

No definition for ossl_ec_group_set_curve_name

No definition for ossl_rsa_blinding_onrsa.c

No definition for ossl_rsa_blinding_off

No definition for ossl_sslctx_set_ssl_version

No definition for ossl_ssl_get_verify_result

No definition for ossl_ssl_session_set_timen.c

No definition for ossl_ssl_session_set_timeout

Enclosing class/module 'mX509' for class AttributeError not known

Enclosing class/module 'mX509' for class Attribute not known

Enclosing class/module 'mX509' for class CertificateError not known

Enclosing class/module 'mX509' for class Certificate not known

Enclosing class/module 'mX509' for class CRLError not known

Enclosing class/module 'mX509' for class CRL not known

Enclosing class/module 'mX509' for class ExtensionError not known

Enclosing class/module 'mX509' for class ExtensionFactory not known

Enclosing class/module 'mX509' for class Extension not known

Enclosing class/module 'mX509' for class NameError not known

Enclosing class/module 'mX509' for class Name not known

Enclosing class/module 'mX509' for class RequestError not known

Enclosing class/module 'mX509' for class Request not known

Enclosing class/module 'mX509' for class RevokedError not known

Enclosing class/module 'mX509' for class Revoked not known

Enclosing class/module 'mX509' for class StoreError not known

Enclosing class/module 'mX509' for class Store not known

Enclosing class/module 'mX509' for class StoreContext not known

No definition for echild_status

No definition for socks_initockssocket.c

No definition for socks_s_close

No definition for rb_io_addstrtringio.c

No definition for rb_io_print

No definition for rb_io_printf

No definition for rb_io_puts

100% [377/377]  ext/zlib/zlib.c

Generating RI...

uh-oh! RDoc had a problem:

marshal data too short

run with --debug for full backtrace

make: *** [rdoc] Error 1

History

#1 - 09/21/2011 01:53 PM - nobu (Nobuyoshi Nakada)

- Category changed from build to lib

- Status changed from Open to Closed

- ruby -v changed from ruby 1.9.3dev (2011-09-21 revision 33304) [i686-linux] to ruby 1.9.2-p290

It sounds like an RHEL 5.5 specific issue, and seems already fixed.

06/09/2025 4/5



#2 - 09/26/2011 07:12 AM - stepheneb (Stephen Bannasch)

I'm now getting the same error when building 1.9.2-p302 (which worked last week):

When using miniruby to generate the rdoc and ri the RI generation fails:

./miniruby -I./lib -I.ext/common -I./- -r./ext/purelib.rb  ./tool/runruby.rb --extout=.ext  -- "./bin/rdoc" --no-force-update --all --ri --op ".ext/rdoc"  "."

...

Generating RI...

uh-oh! RDoc had a problem:

marshal data too short

If I don't generate the RI the doc generation succeeds:

./miniruby -I./lib -I.ext/common -I./- -r./ext/purelib.rb  ./tool/runruby.rb --extout=.ext  -- "./bin/rdoc" --no-force-update --all --op ".ext/rdoc"  "."

It seems there is something brittle in the way the RI doc is generated.

#3 - 09/26/2011 07:31 AM - stepheneb (Stephen Bannasch)

Also have the same problem with ruby_1_9_3_rc1
